<div class="ui dimmer" *ngIf="showModal" @fade
(@fade.done)="showScroll()">
  <div class="overlay"></div>
  <div class="login-form-wrapper">
      <div class="login-form" (click)="$event.stopPropagation()">
          <div class="header">
              <span class="back" (click)="forgotPassword = false " *ngIf="forgotPassword">
                  <i class="arrow left icon"></i>
              </span>
              <span class="close" (click)="closeModal()">
                  <i class="remove icon"></i>
              </span>
              <div class="header-inner-wrapper">
                  <div class="active ui side">
                      <img src="/assets/images/chat.png" alt="" class="ui image">
                  </div>
                  <span>Support Chat</span>
              </div>

          </div>

          <div class="body-wrapper">
              <div class="ui inverted dimmer" [ngClass]="{'active': loginStatus}">
                  <div class="ui loader"></div>
              </div>
              <div class="body">
                  <div class="body-inner-wrapper" [@shift]=" forgotPassword ? 'shifted': 'normal' " (@shift.done)="hideError()">

                      <div class="tabset">
                          <div class="error_message" *ngIf="testError" @showError>
                              Wrong Credentials
                          </div>
                          <div class="tabs-buttons">
                              <a class="item" (click)="setActive(0)" [ngClass]="{'active': 0==activeTab}">Log In</a>
                              <a class="item" (click)="setActive(1)" [ngClass]="{'active': 1==activeTab}">Sign Up</a>
                          </div>
                          <div class="tabs-content">
                              <div class="tab login">
                                  <div class="social-buttons">
                                      <div class="ui labeled icon button">
                                          <i class="google icon"></i> Sighin with google
                                      </div>

                                      <div class="ui labeled icon button">
                                          <i class="facebook icon"></i> Sighin with facebook
                                      </div>

                                      <div class="ui labeled icon button">
                                          <i class="twitter icon"></i> Sighin with twitter
                                      </div>

                                      <div class="ui labeled icon button">
                                          <i class="linkedin icon"></i> Sighin with linkedin
                                      </div>
                                  </div>
                                  <div class="ui horizontal divider">
                                      <span>or</span>
                                  </div>
                                  <div class="form-wrapper">
                                      <form class="ui form" [formGroup]="signinForm">
                                          <div class="field">
                                              <div class="ui labeled input error" [ngClass]="{'focused': focus== 'email'}">
                                                  <div class="ui label">
                                                      <i class="envelope icon"></i>
                                                  </div>
                                                  <input type="text" placeholder="Email" (focus)="onFocus('email')" (blur)="onBlur()" formControlName="username">
                                              </div>
                                          </div>
                                          <div class="field">
                                              <div class="ui labeled input" [ngClass]="{'focused': focus == 'password'}">
                                                  <div class="ui label">
                                                      <i class="lock icon"></i>
                                                  </div>
                                                  <input type="password" placeholder="Password" (focus)="onFocus('password')" (blur)="onBlur()" formControlName="password">
                                              </div>
                                          </div>
                                      </form>
                                  </div>
                              </div>
                          </div>
                          <p *ngIf="activeTab==0; else terms" class="forgot-password" (click)="forgotPassword = true ">Don't remember your password?
                          </p>
                          <ng-template #terms>
                              <div class="terms">
                                  By signing up, you agree to our terms of service and privacy policy
                              </div>
                          </ng-template>
                      </div>
                      <div class="password-remainder">

                          <form class="ui form recoveryForm" [formGroup]="recoveryForm">
                              <p>Please enter your email address.
                                  <br> We will send you an email to reset your password.</p>
                              <div class="field">
                                  <div class="ui labeled input" [ngClass]="{'focused': focus== 'email'}">
                                      <div class="ui label">
                                          <i class="envelope icon"></i>
                                      </div>
                                      <input type="text" placeholder="Email" (focus)="onFocus('email')" (blur)="onBlur()">
                                  </div>
                              </div>
                          </form>
                      </div>
                  </div>
              </div>

              <div class="login-button" (click)="login()">
                  Log In
              </div>
          </div>
      </div>
  </div>
</div>
